GPG-KEY2LATEX(1)

NAME
gpg-key2latex - Generate a LaTeX file for fingerprint slips.

SYNOPSIS

gpg-key2latex [-p papersize] [-s] [--show-photo] [--show-qrcode] keyid [keyid...]

DESCRIPTION
gpg-key2latex generates a LaTeX file with an OpenPGP key fingerprint and User IDs, repeated as often as it fits on a single page. The LaTeX data is written to STDOUT. Note: In most cases the generated file can be compiled to PDF using pdflatex(1), but xelatex(1) is required if some UID contains CJK characters.

OPTIONS

-p paper-size, --paper-size=paper-size
    Select the output paper size. The default is the output of paperconf(1), or a4 if libpaper-utils isn't installed.

-s, --show-subkeys
    Show subkey information.

--show-photo
    Show the first valid user attribute, if any. Note: This writes JPG files to the current directory.

--show-qrcode
    Show a QR code of the string specified by --qrcode-data. Note: This writes PDF files to the current directory. Requires qrencode(1) and epstopdf(1).

--qrcode-data=string
    The data to encode in a QR code (implies --show-qrcode). The string "%f" is expanded to the OpenPGP key fingerprint (40 hexadecimal digits, without spaces); "%k" is expanded to the long (16 hexadecimal digits) key ID; "%%" is replaced by a single "%".

    The default data to encode, if --qrcode-data is not specified, is the string "OPENPGP4FPR:%f".

--attr-height
    The height, in number of lines, of the photo and QR code. The default is the number of User ID, with a maximum of 5.

-?, --help
    Print a brief help and exit.

--version
    Print the version and exit.

ENVIRONMENT

HOME
    The default home directory.

GNUPGBIN
    The gpg binary. Default: "gpg".

GNUPGHOME
    The default working directory for gpg. Default: "$HOME/.gnupg".

SEE ALSO
gpg(1), gpg-key2ps(1)

BUGS AND FEEDBACK
Bugs or feature requests for gpg-key2latex should be filed with the Debian project's bug tracker at <https://www.debian.org/Bugs/>.

AUTHOR
Guilhem Moulin <guilhem@debian.org>

COPYRIGHT AND LICENSE
Copyright (c) 2014 Guilhem Moulin. gpg-key2latex is free software, distributed under the GNU Public License, version 3 or later.